Bug 484502 - RFE: cleanup locked message, have a "spinner"
RFE: cleanup locked message, have a "spinner"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 10:25 EST by Michal Nowak
Modified: 2014-01-21 18:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 01:24:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-02-07 10:25:39 EST
Description of problem:

Loaded plugins: downloadonly, refresh-packagekit, upgrade-helper
Existing lock /var/run/yum.pid: another copy is running as pid 30941.
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...
Another app is currently holding the yum lock; waiting for it to exit...
[...]

It might be somewhat useful to have 'candy' [1] instead of second (, ...) 'Another app is...'.

[1] (rotating while active) "| / - \ | / - \"

Version-Release number of selected component (if applicable):
yum-3.2.21-2.fc10.noarch

[main]
[...]
debuglevel=2
[...]
Comment 1 James Antill 2009-02-09 01:24:49 EST
 Upstream we now have:

Existing lock /var/run/yum.pid: another copy is running as pid 29871.
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum
    Memory : 103 M RSS (387 MB VSZ)
    Started: Mon Feb  9 01:22:50 2009 - 00:06 ago
    State  : Running, pid: 29871
Another app is currently holding the yum lock; waiting for it to exit...
  The other application is: yum
    Memory : 121 M RSS (404 MB VSZ)
    Started: Mon Feb  9 01:22:50 2009 - 00:08 ago
    State  : Uninteruptable, pid: 29871

...it's in rawhide and will eventually get back into Fedora 10, probably when it's been released upstream as 3.2.22.
 We are also working on other workarounds so we don't have lock conflicts.

Note You need to log in before you can comment on or make changes to this bug.